Page 1 of 6 123 ... LastLast
Results 1 to 10 of 56
  1. #1
    Join Date
    Jan 2009
    Posts
    16
    Plugin Contributions
    0

    Default PHP 5.3 Fixing with old version... Problems...

    Hi all,

    My host has recently upgraded PHP to 5.3 without telling me and a site I look after is now just a blank screen.

    I followed the instructions here to fix it and now the site is active again.

    However, the admin side is still down with the following errors:

    Code:
    Deprecated: Assigning the return value of new by reference is deprecated in /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/includes/functions/functions_email.php on line 161
    
    Warning: session_start() [function.session-start]: Cannot send session cookie - headers already sent by (output started at /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/includes/functions/functions_email.php:161) in /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/includes/functions/sessions.php on line 108
    
    Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/includes/functions/functions_email.php:161) in /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/includes/functions/sessions.php on line 108
    
    Deprecated: Function ereg_replace() is deprecated in /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/includes/functions/sessions.php on line 112
    
    Deprecated: Function eregi() is deprecated in /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/admin/includes/classes/language.php on line 100
    
    Deprecated: Function eregi() is deprecated in /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/admin/includes/classes/language.php on line 100
    
    Deprecated: Function eregi() is deprecated in /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/admin/includes/classes/language.php on line 100
    
    Deprecated: Function eregi() is deprecated in /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/admin/includes/classes/language.php on line 100
    
    Deprecated: Function eregi() is deprecated in /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/admin/includes/classes/language.php on line 100
    
    Deprecated: Function eregi() is deprecated in /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/admin/includes/classes/language.php on line 100
    
    Deprecated: Function eregi() is deprecated in /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/admin/includes/classes/language.php on line 100
    
    Deprecated: Function eregi() is deprecated in /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/admin/includes/classes/language.php on line 100
    
    Deprecated: Function eregi() is deprecated in /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/admin/includes/classes/language.php on line 100
    
    Warning: Cannot modify header information - headers already sent by (output started at /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/includes/functions/functions_email.php:161) in /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/admin/includes/init_includes/init_templates.php on line 36
    
    Warning: Cannot modify header information - headers already sent by (output started at /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/includes/functions/functions_email.php:161) in /customers/rosecottagebalmsandsoap.co.uk/rosecottagebalmsandsoap.co.uk/httpd.www/admin/includes/functions/general.php on line 21
    (admin directory name changed for security)

    Any ideas on how to fix this problem? It is driving me mad!!!

    Kevin

  2. #2
    Join Date
    Apr 2006
    Location
    London, UK
    Posts
    10,614
    Plugin Contributions
    25

    Default Re: PHP 5.3 Fixing... Problems...

    This isn't going to be a problem just for Zen Cart, it will be a problem for a large proportion of PHP applications.

    In PHP 5.3 a number of functions and language constructs that have been around for a long time have been completely withdrawn. The withdrawal of this backwards compatibility will break applications.

    Zen Cart users will get off relatively lightly compared to some since there is both an active team developing a release (1.3.9) that will address this, and an active forum to help with specific issues.

    There is a specific list of removed features and the alternatives to use instead on the php site. I'm afraid that in the immediate term the approach you will need is probably to follow the deprecation errors you receive (which each have the file and line number) and apply the alternatives given, much as you did for the other side of your site.

    I'd also recommend considering switching from a web host who drops you in it with no warning and, it appears, takes no preventative steps before upgrading to a version of PHP which is widely known to create problems.
    Last edited by kuroi; 1 Nov 2009 at 02:04 PM. Reason: typos
    Kuroi Web Design and Development | Twitter

    (Questions answered in the forum only - so that any forum member can benefit - not by personal message)

  3. #3
    Join Date
    Oct 2009
    Location
    EUROPE
    Posts
    47
    Plugin Contributions
    0

    Default Re: PHP 5.3 Fixing... Problems...

    Quote Originally Posted by kuroi View Post
    Zen Cart users will get off relatively lightly compared to some since there is both an ctive team developing a release (1.3.9) that will address this, and an active forum to help with specific issues.

    I'd also recommend considering switching from a web hots who drops you in it with no warning and, it appears, no preventative steps by upgrading to a version of PHP which is widely known to create problems.
    The developers of php have created problems for lots of different software out there with these untimely changes.

    As regards web hosts, I have recently changed hosting companies and whilst looking for alternatives, many of those were already running on version 5.3 now. Trouble is there are a lot of rogues out there in the web hosting world, so many folks will want to stick with their existing web hosting company.

    Good to hear that work on 1.3.9 is in progress. Many of us will be running on the 1.3 series for quite a while after 2.0 is released, to enable templates and add ons to become available., so this cure for the php 5.3 changes is very welcome.

  4. #4
    Join Date
    Apr 2006
    Location
    London, UK
    Posts
    10,614
    Plugin Contributions
    25

    Default Re: PHP 5.3 Fixing... Problems...

    Quote Originally Posted by AUTOMOBILIA View Post
    As regards web hosts, I have recently changed hosting companies and whilst looking for alternatives, many of those were already running on version 5.3 now. Trouble is there are a lot of rogues out there in the web hosting world, so many folks will want to stick with their existing web hosting company.
    That's a fair point. There are hosts who simply switch to the latest version automatically without necessarily understanding the implications (though that's still better than those who keep running with very old versions arguing that they're stable and ignoring the security implications), and a lot of resellers who are simply swept along with whatever the real hosting provider behind them does.

    If there is a safe haven from this type of problem then it would be with the Zen Cart certified hosts. The two that I am in regular contact with are both well-briefed on the 5.3 issues and their implications for Zen Cart.
    Kuroi Web Design and Development | Twitter

    (Questions answered in the forum only - so that any forum member can benefit - not by personal message)

  5. #5
    Join Date
    Jan 2009
    Posts
    16
    Plugin Contributions
    0

    Default Re: PHP 5.3 Fixing... Problems...

    OK, so I have managed to sort out the eregi and ereg_replace errors but I have no idea how to fix the others such as session_start(). Anyone have any ideas?

    Kevin

  6. #6
    Join Date
    Apr 2006
    Location
    London, UK
    Posts
    10,614
    Plugin Contributions
    25

    Default Re: PHP 5.3 Fixing... Problems...

    You don't fix the session_start as such, that's a symptom rather than a cause. Instead if you remove the ampersand ("&") referred to in the previous deprecation error, then session_start issue should just go away.
    Kuroi Web Design and Development | Twitter

    (Questions answered in the forum only - so that any forum member can benefit - not by personal message)

  7. #7
    Join Date
    Jan 2009
    Posts
    16
    Plugin Contributions
    0

    Default Re: PHP 5.3 Fixing... Problems...

    Brilliant, removed the & and now works!! Thanks for your help.

  8. #8
    Join Date
    Jan 2004
    Posts
    64,927
    Blog Entries
    7
    Plugin Contributions
    220

    Default Re: PHP 5.3 Fixing... Problems...

    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  9. #9
    Join Date
    Oct 2009
    Location
    EUROPE
    Posts
    47
    Plugin Contributions
    0

    Default Re: PHP 5.3 Fixing... Problems...

    Thanks to the Zen team for making this patch available.

    Great work folks.

  10. #10
    Join Date
    Feb 2009
    Posts
    138
    Plugin Contributions
    0

    Default Re: PHP 5.3 Fixing... Problems...

    If I go to Tools > Server Info, I see that the current PHP version is not 5.3 yet.

    I asked my host and they said they will eventually upgrade to 5.3 but did not give a specific date.


    Question: if I apply the patch now to avoid any downtime whenever my host will decide to upgrade, will the patch work with prior PHP versions?

 

 
Page 1 of 6 123 ... LastLast

Similar Threads

  1. Replies: 4
    Last Post: 29 May 2016, 03:32 PM
  2. v138a The PHP version you are using (4.4.9) is too old
    By earmsby in forum Upgrading to 1.5.x
    Replies: 4
    Last Post: 14 Sep 2012, 09:39 PM
  3. v139h email problems after going back to old version
    By fubar73 in forum General Questions
    Replies: 1
    Last Post: 17 Mar 2012, 04:01 AM
  4. Having problem with order.php and checkout_process.php with OLD Zen Cart v1.2.3
    By wolfbane01 in forum Managing Customers and Orders
    Replies: 0
    Last Post: 28 Jul 2010, 01:56 AM
  5. Admin Login Issue - 1.3.7.1 and old version of PHP: 4.3.2
    By thehighlandsgroup in forum Installing on a Linux/Unix Server
    Replies: 4
    Last Post: 2 Apr 2008, 01:35 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR